org.bouncycastle.pqc.crypto.cmce

## Class CMCEPrivateKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.pqc.crypto.cmce.CMCEKeyParameters
    - - org.bouncycastle.pqc.crypto.cmce.CMCEPrivateKeyParameters

- All Implemented Interfaces:
    CipherParameters

      public class CMCEPrivateKeyParameters
      extends CMCEKeyParameters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMCEPrivateKeyParameters(CMCEParameters params, byte[] privateKey)`
    `CMCEPrivateKeyParameters(CMCEParameters params, byte[] delta, byte[] C, byte[] g, byte[] alpha, byte[] s)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getAlpha()`
    `byte[]` | `getC()`
    `byte[]` | `getDelta()`
    `byte[]` | `getEncoded()`
    `byte[]` | `getG()`
    `byte[]` | `getPrivateKey()`
    `byte[]` | `getS()`
    `byte[]` | `reconstructPublicKey()`

    - ### Methods inherited from class org.bouncycastle.pqc.crypto.cmce.CMCEKeyParameters

      `getParameters`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CMCEPrivateKeyParameters

          public CMCEPrivateKeyParameters(CMCEParameters params,
                                          byte[] privateKey)

    - #### CMCEPrivateKeyParameters

          public CMCEPrivateKeyParameters(CMCEParameters params,
                                          byte[] delta,
                                          byte[] C,
                                          byte[] g,
                                          byte[] alpha,
                                          byte[] s)

  - ### Method Detail

    - #### getPrivateKey

          public byte[] getPrivateKey()

    - #### reconstructPublicKey

          public byte[] reconstructPublicKey()

    - #### getEncoded

          public byte[] getEncoded()

    - #### getDelta

          public byte[] getDelta()

    - #### getC

          public byte[] getC()

    - #### getG

          public byte[] getG()

    - #### getAlpha

          public byte[] getAlpha()

    - #### getS

          public byte[] getS()